Package com.ocient.jdbc.proto

# Interface PlanProtocol.UnmakeVectorOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.UnmakeVectorOperator`, `PlanProtocol.UnmakeVectorOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.UnmakeVectorOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getOutNames​(int index)` | The names of the columns to create
`com.google.protobuf.ByteString` | `getOutNamesBytes​(int index)` | The names of the columns to create
`int` | `getOutNamesCount()` | The names of the columns to create
`List<String>` | `getOutNamesList()` | The names of the columns to create
`String` | `getVectorCol()` | The name of the vector column to unpack
`com.google.protobuf.ByteString` | `getVectorColBytes()` | The name of the vector column to unpack

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getVectorCol

String getVectorCol()

    The name of the vector column to unpack

`string vectorCol = 1;`

### getVectorColBytes

com.google.protobuf.ByteString getVectorColBytes()

    The name of the vector column to unpack

`string vectorCol = 1;`

### getOutNamesList

List<String> getOutNamesList()

    The names of the columns to create

`repeated string outNames = 2;`

### getOutNamesCount

int getOutNamesCount()

    The names of the columns to create

`repeated string outNames = 2;`

### getOutNames

String getOutNames​(int index)

    The names of the columns to create

`repeated string outNames = 2;`

### getOutNamesBytes

com.google.protobuf.ByteString getOutNamesBytes​(int index)

    The names of the columns to create

`repeated string outNames = 2;`